<div class="ap-news-container">

  <div class="form-box">
    <button class="button" (click)="toggleFormState()">
      Добавить
      <div class="button__horizontal"></div>
      <div class="button__vertical"></div>
    </button>
    <form
      [formGroup]="articleForm"
      (ngSubmit)="addArticle()"
      class="form-container"
      *ngIf="isFormVisible"
      #scrollMe
    >
      <div class="form__group field">
        <input formControlName="title" type="text" class="form__field" placeholder="Название статьи" name="title" id='title'/>
        <label for="title" class="form__label">Название статьи</label>
      </div>
      <div class="form__group field">
        <input formControlName="description" type="text" class="form__field" placeholder="Короткое описание" name="description" id='description'/>
        <label for="description" class="form__label">Короткое описание</label>
      </div>
      <div class="form__group field">
        <select formControlName="category" class="form__field select" placeholder="Категория" name="category" id='category'>
          <option value="Новости">Новости</option>
          <option value="Мероприятия">Мероприятия</option>
          <option value="Объявления">Объявления</option>
        </select>
        <label for="category" class="form__label">Категория</label>
      </div>
      <div class="form__group field">
        <quill-editor
          formControlName="body"
          id='body'
          class="editor"
          placeholder="Текст статьи"
        ></quill-editor>
        <label for="body" class="form__label editor-label">Текст статьи</label>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="articleForm.invalid" class="btn">Добавить</button>
      </div>
    </form>
  </div>

  <div class="table">
    <div class="table-header">
      <div class="header__item"><a class="filter__link">Категория</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Название</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Описание</a></div>
      <div class="header__item">
        <a class="filter__link filter__link--number">Действия</a>
      </div>
    </div>
    <div class="table-content">
      <ng-container *ngIf="!(articles$ | async)">
        <div class="section-title upper-bold">Новостей пока нет</div>
      </ng-container>
      <ng-container *ngFor="let article of articles$ | async">
        <div class="table-row">
          <div class="table-data">{{article.category}}</div>
          <div class="table-data">{{article.title}}</div>
          <div class="table-data description" [innerHTML]="article.body"></div>
          <div class="table-data icons">
            <img class="table-icon" [routerLink]="['/admin/news/' + article.slug]" src="assets/icons/edit-icon.svg" alt="Изменить">
            <img class="table-icon" (click)="openRemoveModal(article.slug)" src="assets/icons/trash-icon.svg" alt="Удалить">
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</div>
<ng-container *ngIf="isRemovePopup">
  <app-modal (closeWindow)="isRemovePopup = false">
    <div class="modal-content">
      <p class="alert upper-bold">Вы действительно хотите удалить?</p>
      <button class="btn warning" (click)="removeArticle()">Подтвердить</button>
    </div>
  </app-modal>
</ng-container>
